Login
[x]
Log in using an account from:
Fedora Account System
Red Hat Associate
Red Hat Customer
Or login using a Red Hat Bugzilla account
Forgot Password
Login:
Hide Forgot
Create an Account
Red Hat Bugzilla – Attachment 310936 Details for
Bug 453973
add tap device support to RHEL5's ifup-eth script
[?]
New
Simple Search
Advanced Search
My Links
Browse
Requests
Reports
Current State
Search
Tabular reports
Graphical reports
Duplicates
Other Reports
User Changes
Plotly Reports
Bug Status
Bug Severity
Non-Defaults
|
Product Dashboard
Help
Page Help!
Bug Writing Guidelines
What's new
Browser Support Policy
5.0.4.rh83 Release notes
FAQ
Guides index
User guide
Web Services
Contact
Legal
This site requires JavaScript to be enabled to function correctly, please enable it.
[patch]
patch to support tap device creation on boot
ifup-eth.patch (text/plain), 1.25 KB, created by
Scott Zahn
on 2008-07-03 15:52:54 UTC
(
hide
)
Description:
patch to support tap device creation on boot
Filename:
MIME Type:
Creator:
Scott Zahn
Created:
2008-07-03 15:52:54 UTC
Size:
1.25 KB
patch
obsolete
>--- ifup-eth.old 2008-07-02 16:34:06.000000000 -0400 >+++ ifup-eth 2008-07-02 18:41:09.000000000 -0400 >@@ -50,6 +50,7 @@ > fi > fi > >+# If the device is a bridge, create it with brctl, if available. > if [ "${TYPE}" = "Bridge" ]; then > if [ ! -x /usr/sbin/brctl ]; then > echo $"Bridge support not available: brctl not found" >@@ -69,6 +70,16 @@ > [ -n "${STP}" ] && /usr/sbin/brctl stp ${DEVICE} ${STP} > fi > >+# If the device is a tap device, create it with tunctl, if available. >+if [ "${TYPE}" = "Tap" ]; then >+ if [ ! -x /usr/sbin/tunctl ]; then >+ echo $"Tap support not available: tunctl not found" >+ exit 1 >+ fi >+ [ -n "${OWNER}" ] && OWNER="-u ${OWNER}" >+ /usr/sbin/tunctl ${OWNER} -t ${DEVICE} > /dev/null >+fi >+ > # now check the real state > is_available ${REALDEVICE} || { > if [ -n "$alias" ]; then >@@ -82,6 +93,7 @@ > # is the device wireless? If so, configure wireless device specifics > is_wireless_device ${DEVICE} && . ./ifup-wireless > >+# If the device is part of a bridge, add the device to the bridge > if [ -n "${BRIDGE}" -a -x /usr/sbin/brctl ]; then > if ! LC_ALL=C /usr/sbin/brctl show | LC_ALL=C grep -q "^${BRIDGE} "; then > /usr/sbin/brctl addbr ${BRIDGE} 2>/dev/null >
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Diff
View Attachment As Raw
Actions:
View
|
Diff
Attachments on
bug 453973
: 310936